Page MenuHomePhabricator

Evas Textblock: update obstacle test
ClosedPublic

Authored by AbdullehGhujeh on Jan 7 2020, 4:42 AM.

Details

Summary

Update the test to check that the first character is rendered after the obstacle.
To ensure that the obstacle feature keeps working correctly.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
AbdullehGhujeh created this revision.Jan 7 2020, 4:42 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

AbdullehGhujeh requested review of this revision.Jan 7 2020, 4:42 AM
AbdullehGhujeh edited the summary of this revision. (Show Details)Jan 7 2020, 4:45 AM
AbdullehGhujeh added reviewers: ali.alzyod, woohyun.

This seems a good enhancement for the test, since the old test did not detect obstacles were broken,

Looks like a good idea!

Builds and passes tests.

My only concern is: will this work everywhere? I mean, maybe with different system fonts the new position won't be exactly 50.

AbdullehGhujeh added a comment.EditedFeb 1 2020, 10:26 PM

My only concern is: will this work everywhere? I mean, maybe with different system fonts the new position won't be exactly 50.

I think it should work as the value is in pixel, the font should not affect the starting position of the text (the value 50 is the width of the obstacle rectangle).

OK, you convinced me :)

ali.alzyod accepted this revision.Feb 5 2020, 10:21 PM

Can we close this one

This revision is now accepted and ready to land.Feb 5 2020, 10:21 PM
Closed by commit rEFLf5e13284d7d6: Evas Textblock: update obstacle test (authored by abdulleh Ghujeh <a.ghujeh@samsung.com>, committed by woohyun). · Explain WhyFeb 5 2020, 10:43 PM
This revision was automatically updated to reflect the committed changes.